<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
}else{
	require('lib/lib.php');
	Inactividad();
}
?>
<script>
$(document).ready(function(){

	var inputFlotilla = $("#edtFlotilla");
	var reqFlotilla = $("#req-Flotilla");
	var inputNoEconomico = $("#edtNoEconomico");
	var reqNoEconomico = $("#req-NoEconomico");
	
	$('#LoginButton a').click(function(){
		$('#LoginForm').slideDown('fast');
		$('#LoginButton').toggle();
		$('#hide_button').toggle();
	});
		
	$('#hide_button a').click(function(){
		$('#LoginForm').slideUp('fast');
		$('#LoginButton').toggle();
		$('#hide_button').toggle();
	});
	
	function validarFlotilla(){
		$("#DatosFlotilla").html("");
		$("#message").html("");
		if(inputFlotilla.val().length < 5 || inputFlotilla.val().length > 10){
			inputFlotilla.addClass("error2");
			reqFlotilla.addClass("error2");
			$("#req-Flotilla").html("0-9, Min. 5 y Max. 10 caracteres.");
			$("#req-FlotillaImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputFlotilla.val().match(/^[0-9]+$/)){
			inputFlotilla.addClass("error2");
			reqFlotilla.addClass("error2");
			$("#req-Flotilla").html("0-9, Solo se aceptan números.");
			$("#req-FlotillaImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputFlotilla.removeClass("error2");
			reqFlotilla.removeClass("error2");
			$("#req-Flotilla").html("");
			$("#req-FlotillaImg").html("<img src='images/bien.png' width='16' height='16' title='Campo Completado!'>");
			return true;
		}
	}
	function validarNoEconomico(){
		if(inputNoEconomico.val().length < 3 || inputNoEconomico.val().length > 15){
			inputNoEconomico.addClass("error2");
			reqNoEconomico.addClass("error2");
			$("#req-NoEconomico").html("A-Z y 0-9, Min. 3 y Max. 15 caracteres.");
			$("#req-NoEconomicoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputNoEconomico.val().match(/^[a-zA-Z0-9- ]+$/)){
			inputNoEconomico.addClass("error2");
			reqNoEconomico.addClass("error2");
			$("#req-NoEconomico").html("A-Z y 0-9, Solo se aceptan números y letras.");
			$("#req-NoEconomicoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputNoEconomico.removeClass("error2");
			reqNoEconomico.removeClass("error2");
			$("#req-NoEconomico").html("");
			$("#req-NoEconomicoImg").html("<img src='images/bien.png' width='16' height='16' title='Campo Completado!'>");
			return true;
		}
	}
	inputFlotilla.blur(validarFlotilla);
	inputNoEconomico.blur(validarNoEconomico);
	
	$("#BusquedaForm").submit(function(){
		if($("[name=checkOpcion]:checked").val() == 1){
			if(validarFlotilla())
				ConsultarFlotilla();
			else
				return false;
			return false;
		}
		else if($("[name=checkOpcion]:checked").val() == 2){
			if(validarNoEconomico())
				ConsultarFlotilla();
			else
				return false;
			return false;
		}
		else
			$("#message").html("<p class='error'>Debe seleccionar el tipo de Consulta a realizar!</p>");
		return false;
	});
	
	function ConsultarFlotilla(){
		$.ajax({
			type: "POST",
			data: "Opcion="+$("[name=checkOpcion]:checked").val()+"&FlotillaID="+$("#edtFlotilla").val()+"&NoEconomico="+$("#edtNoEconomico").val()+"",
			url: "ProcesarInicio.php",
			success: function(response){
				if(response == 'error1')
					$("#message").html("<p class='error'>Seleccione el tipo de Consulta a realizar!</p>");
				else if(response == 'error2')
					$("#message").html("<p class='error'>La Opción debe de ser númerica!</p>");
				else if(response == 'error3')
					$("#message").html("<p class='error'>Escriba el No. de la Flotilla!</p>");
				else if(response == 'error4')
					$("#message").html("<p class='error'>El número de la Flotilla debe ser númerico!</p>");
				else if(response == 'error5')
					$("#message").html("<p class='error'>Escriba el No. Económico!</p>");
				else if(response == 'error6')
					$("#message").html("<p class='error'>El No. Económico debe ser númerico!</p>");
				else if(response == 'error7')
					$("#message").html("<p class='error'>El No. Flotilla especificada no existe!</p>");
				else
					$("#DatosFlotilla").html(response);
			}
		});
	}
});
	function habilitarFlotilla(){
		$("#edtFlotilla").removeAttr('disabled');//Habilito
		$("#edtNoEconomico").attr('disabled', '-1');//Inhabilito NoEconomico
		$("#edtNoEconomico").removeClass("error2");//Quito error NoEconomico
		$("#req-NoEconomico").html("");//Quito mensaje error NoEconomico
		$("#req-NoEconomicoImg").html("");
		$("#edtNoEconomico").val("");//Quitar valor NoEconomico
		$("#message").html("");
	}
	function habilitarNoEconomico(){
		$("#edtNoEconomico").removeAttr('disabled');//Habilito
		$("#edtFlotilla").attr('disabled', '-1');//Inhabilito Flotilla
		$("#edtFlotilla").removeClass("error2");//Quito error Flotilla
		$("#req-Flotilla").html("");//Quito mensaje error Flotilla
		$("#req-FlotillaImg").html("");
		$("#edtFlotilla").val("");//Quitar valor Flotilla
		$("#message").html("");
	}
</script>
<table align="center" width="910" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right" scope="col">  
    <div id="dialog" class="dialog" title="Información de Inicio">
        <p>Se muestra información del Cliente/Usuario.
        <br></br>Si desea hacer una búsqueda por número de Flotilla o número Económico: 
        <br></br>* Da click en configuración de consulta.
        <br></br>* Selecciona el Tipo de búsqueda a realizar y escriba el número correspondiente.
        <br></br>* Oprima el botón 'Consultar'.
        <br></br>* Si existe alguna advertencia, corrija.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
  </tr>
  <tr>
    <td align="center" scope="row">
    <? if($_SESSION['Admin'] == 1){?>
    <fieldset class="field">
      <legend class="lg">Información del Cliente</legend>
      <table width="550" border="0" cellspacing="0" cellpadding="0" align="center">
        <tr>
          <td width="96" rowspan="9" align="center"><img src="images/user.png" alt="" width="96" height="100" /></td>
          <td>&nbsp;</td>
          <td align="left"><b>No. Cliente:</b> <? echo ' '.$_SESSION['ClienteID']; ?></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="left">&nbsp;</td>
          </tr>
        <tr>
          <td width="12">&nbsp;</td>
          <td align="left"><b>Nombre: </b><? echo ' '.utf8_encode($_SESSION['Nombre']) ?></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="left"><b>R.F.C.:</b> <? echo $_SESSION['RFC'];?></td>
          </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="left">&nbsp;</td>
          </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="left"><b>Direccion:</b></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="left"><b>Estado:</b> <? echo utf8_encode($_SESSION['Estado']); ?>,<b> Ciudad:</b> <? echo utf8_encode($_SESSION['Ciudad']);?><b>, Municipio:</b> <? echo $_SESSION['Municipio'];?></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="left"><b>Colonia:</b> <? echo utf8_encode($_SESSION['Colonia']);?>, <b>Calle:</b> <? echo utf8_encode($_SESSION['Domicilio']);?>,</td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="left"><b>Codigo Postal:</b> <? echo $_SESSION['CodigoPostal'];?></td>
          </tr>
      </table>
    </fieldset>
    <? } else{?>
    <fieldset class="field">
      <legend class="lg">Información del Usuario</legend>
      <table width="550" border="0" cellspacing="0" cellpadding="0" align="center">
        <tr>
          <td width="96" rowspan="5"><img src="images/user.png" alt="" width="96" height="100" /></td>
          <td width="13">&nbsp;</td>
          <td width="185">&nbsp;</td>
          <td width="120">&nbsp;</td>
          <td width="286">&nbsp;</td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td colspan="2" align="left"><b>Usuario: </b><? echo ' '.$_SESSION["Usuario"]; ?></td>
          <td align="left"><b>No. Cliente: </b><? echo ' '.$_SESSION['ClienteID']; ?></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td colspan="3" align="left"><b>Nombre: </b><? echo ' '.$_SESSION['Nombre']; ?></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td colspan="3" align="left"><b>Correo Electrónico: </b><? echo ' '.$_SESSION['email']; ?></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
      </table>
    </fieldset>
    <? } ?>
    <div id="Informacion"></div>
    </td>
  </tr>
  <tr>
    <td align="center" scope="row">&nbsp;</td>
  </tr>
  <tr>
    <td scope="row">
<div id="container">
  <div id="LoginForm" style="display:none"> 
    <form id="BusquedaForm" name="BusquedaForm" action= "" method="post">
    <table align="center" width="500" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td id="Titulo" colspan="3" align="center" scope="col">Configuración de la Consulta.</td>
        </tr>
      <tr>
        <td colspan="3" align="left" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="col"><b class="error"><img src="images/Informacion.png" width="15" height="15" /> Seleccione el tipo de consulta a realizar:</b></td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td width="166" align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><input name="checkOpcion" type="radio" id="checkCorreo1" value="1" onclick="habilitarFlotilla()"/> <label>
          <b>Por No. de Flotilla: </b></label></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><input name="edtFlotilla" type="text" disabled="disabled" class="txt" id="edtFlotilla" title="Escriba el No. de Flotilla para realizar la Búsqueda." maxlength="10"/><span id="req-FlotillaImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><b><span id="req-Flotilla" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><input type="radio" name="checkOpcion" id="checkCorreo2" value="2" onclick="habilitarNoEconomico()" /> <label>
          <b>Por No. Económico: </b></label></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><input name="edtNoEconomico" type="text" disabled="disabled" class="txt" id="edtNoEconomico" title="Escriba el No. Económico para realizar la Búsqueda." maxlength="15" /><span id="req-NoEconomicoImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><b><span id="req-NoEconomico" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="col"><input class="submit" type="submit" name="submit" id="submit" value="Consultar" title="Consulta por Flotilla o Número Económico." /></td>
        </tr>
      <tr>
        <td colspan="3" align="center" scope="col"><b><div id="message"></div></b></td>
        </tr>
      <tr>
        <td colspan="3" scope="row"></td>
      </tr>
      <tr>
        <td colspan="3" scope="row"></td>
        </tr>
    </table>
    </form>
	</div>
	<div id="opening">	
		<div class="panel_button" id="LoginButton" style="display: visible; color:#FFF; " align="center"><img src="images/expand.png"  alt="expand" height="25"/> <a href="#">Configurar Consulta</a></div>
		<div class="panel_button" id="hide_button" style="display: none;" align="center"><img src="images/collapse.png" alt="collapse" height="25" /> <a href="#">Ocultar Configuración</a></div>
	</div>
</div>
     <div id="DatosFlotilla" align="center"></div>
    </td>
  </tr>
  <tr>
    <td align="center" valign="middle" scope="row"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></td>
  </tr>
</table>